﻿using System.ComponentModel;

namespace TestProject
{
    /// <summary>
    /// 사람 1
    /// </summary>
    public class Person1 : IDataErrorInfo
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 나이
        /// </summary>
        private int age;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 나이 - Age

        /// <summary>
        /// 나이
        /// </summary>
        public int Age
        {
            get
            {
                return this.age;
            }
            set
            {
                this.age = value;
            }
        }

        #endregion
        #region 에러 - Error

        /// <summary>
        /// 에러
        /// </summary>
        public string Error
        {
            get
            {
                return string.Empty;
            }
        }

        #endregion
        #region 인덱서 - this[name]

        /// <summary>
        /// 인덱서
        /// </summary>
        /// <param name="name">명칭</param>
        /// <returns>값</returns>
        public string this[string name]
        {
            get
            {
                string result = null;

                if(name == "Age")
                {
                    if(this.age < 0 || this.age > 150)
                    {
                        result = "나이는 0보다 적거나 150보다 클 수 없습니다.";
                    }
                }

                return result;
            }
        }

        #endregion
    }
}