﻿using System;

namespace TestProject
{
    /// <summary>
    /// 사람 2
    /// </summary>
    public class Person2
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 나이
        /// </summary>
        private int age;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 나이 - Age

        /// <summary>
        /// 나이
        /// </summary>
        public int Age
        {
            get
            {
                return this.age;
            }
            set
            {
                if(value < 0 || value > 150)
                {
                    throw new ArgumentException("나이는 0보다 적거나 150보다 클 수 없습니다.");
                }

                this.age = value;
            }
        }

        #endregion
    }
}